vTrinket =
{
	x = 0,
	y = 0,
	destroyed = false,
}

function vTrinket:new(o)
	o = o or {}
	setmetatable(o, self)
	self.__index = self
	return o
end

function vTrinket:draw(xoff, yoff)
	if self.destroyed then
		return
	end

	love.graphics.setColor(255, math.random(0,255), 255)
	drawentity(22, xoff+screenoffset+self.x*2, yoff+self.y*2)
	love.graphics.setColor(255, 255, 255)
end

function vTrinket:update(dt)
	if not self.destroyed and vis_player:touching(self.x+4, self.y+4, 8, 8) then
		vis_mark_collected(vis_trinkets_coll, self.x, self.y)
		vis_n_trinkets = vis_n_trinkets + 1
		self.destroyed = true
		viss_souleyeminijingle:stop()
		viss_souleyeminijingle:play()

		vis_player.frozen = true

		-- Easy enough to just use a script
		vis_scripting:load_manually(
			{
				"cutscene()",
				"untilbars()",
				"text(gray,0,85,3)",
				"        Congratulations!",
				"",
				"You have found a shiny trinket!",
				"position(centerx)",
				"backgroundtext",
				"speak_active",
				"text(gray,0,135,1)",
				" " .. vis_n_trinkets .. " out of " .. vis_trinkets_total .. " ",
				"position(centerx)",
				"speak",
				"endtext",
				"endcutscene()",
				"vis_playerfreeze(0)",
			}
		)
	end
end
