sourceedits =
{
	["drawmaineditor"] =
	{
		{
			find = [[
	hoverdraw(helpbtn, love.graphics.getWidth()-120, 8, 16, 16, 1)]],
			replace = [[
	hoverdraw(playbtn, love.graphics.getWidth()-128, 0, 32, 32, 2)
	hoverdraw(helpbtn, love.graphics.getWidth()-120+40, 40, 16, 16, 1)]],
			ignore_error = true,
			luapattern = false,
			allowmultiple = false,
		},
		{
			find = [[
		if mouseon(love.graphics.getWidth()-120, 8, 16, 16) then
			-- Help]],
			replace = [[
		if mouseon(love.graphics.getWidth()-128, 0, 32, 32) then
			-- Play
			vis_goplay()
		elseif mouseon(love.graphics.getWidth()-120+40, 40, 16, 16) then
			-- Help]],
			ignore_error = true,
			luapattern = false,
			allowmultiple = false,
		},
	},
	["dialog"] =
	{
		{
			find = [[
	-- What color?
	if textboxcolors[color] == nil then
		color = "gray"
	end

	-- Text box backgrounds apparently divide all color values by 6
	love.graphics.setColor(
		math.floor(textboxcolors[color][1]/6),
		math.floor(textboxcolors[color][2]/6),
		math.floor(textboxcolors[color][3]/6)
	)]],
			replace = [[
	-- What color?
	if type(color) == "table" then
		love.graphics.setColor(
			math.floor(color[1]/6),
			math.floor(color[2]/6),
			math.floor(color[3]/6)
		)
	else
		if textboxcolors[color] == nil then
			color = "gray"
		end

		-- Text box backgrounds apparently divide all color values by 6
		love.graphics.setColor(
			math.floor(textboxcolors[color][1]/6),
			math.floor(textboxcolors[color][2]/6),
			math.floor(textboxcolors[color][3]/6)
		)
	end]],
			ignore_error = false,
			luapattern = false,
			allowmultiple = false,
		},
		{
			find = [[
	-- All the edge parts
	love.graphics.setColor(textboxcolors[color])]],
			replace = [[
	-- All the edge parts
	if type(color) == "table" then
		love.graphics.setColor(color)
	else
		love.graphics.setColor(textboxcolors[color])
	end]],
			ignore_error = false,
			luapattern = false,
			allowmultiple = false,
		},
	},
}
